cargo build --target wasm32-unknown-unknown --release

if [ $? -ne 0 ]; then
    echo "Wasm build failed"
    exit 1
fi

rm -rf ./dist && mkdir -p ./dist && mv ./target/wasm32-unknown-unknown/release/blr_city_name.wasm ./dist/blr_city_name.wasm && cp ./build/index.html ./dist/index.html

if [ $? -ne 0 ]; then
    echo "Failed to create create dist directory"
    exit 1
fi

tar -czvf ./blr_city_name.tar.gz -C ./dist . && rm -rf ./dist && echo "Web build complete"
